#
# spec file for package ghc-foldl-statistics
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name foldl-statistics
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.4.6
Release:        8.1
Summary:        Statistical functions from the statistics package implemented as Folds
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-foldl-devel
BuildRequires:  ghc-math-functions-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-statistics-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-vector-devel
%endif

%description
The use of this package allows statistics to be computed using at most two
passes over the input data, one to compute a mean and one to compute a further
statistic such as variance and /n/th central moments. All algorithms are the
obvious implementation of Bryan O'Sullivan's
<https://hackage.haskell.org/package/statistics statistics> package
imeplemented as `Fold's from the <https://hackage.haskell.org/package/foldl
foldl> package.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 0.1.4.6.
* Thu Jun  8 2017 psimons@suse.com
- Update to version 0.1.4.4.
* Mon May 22 2017 psimons@suse.com
- Update to version 0.1.4.3 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.1.4.2 with cabal2obs.
